Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452437 - windows leave marks on each other
Summary: windows leave marks on each other
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 9
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-22 23:16 UTC by Petr Machata
Modified: 2018-04-11 12:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:44:17 UTC


Attachments (Terms of Use)
Window maker screen shot. (deleted)
2008-06-22 23:16 UTC, Petr Machata
no flags Details
Metacity screen shot. (deleted)
2008-06-22 23:17 UTC, Petr Machata
no flags Details
xorg.conf from my home station (deleted)
2008-06-23 18:19 UTC, Petr Machata
no flags Details
Xorg.0.log from my home station (deleted)
2008-06-23 18:20 UTC, Petr Machata
no flags Details
xorg.conf from my work station (deleted)
2008-06-23 18:23 UTC, Petr Machata
no flags Details
Xorg.0.log from my work station (deleted)
2008-06-23 18:24 UTC, Petr Machata
no flags Details
Xorg.0.log from my home station with xorg.conf-less X (deleted)
2008-06-23 18:30 UTC, Petr Machata
no flags Details

Description Petr Machata 2008-06-22 23:16:51 UTC
Description of problem:
When I move windows over each other, border of one window leaves marks on edges
of the other.  I'll attach screenshot where that's visible.

It happens under WindowMaker as well as under metacity.
It happens across graphic cards: at work I have Radeon X300SE, at home I have
GeForce2 MX/MX 400.
It happens across upgrade paths: work machine is yum upgraded since FC 5, home
machine is today's live CD install.

Both are i386 machines.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.902-3.20080612.fc9.i386
(other relevant components?)

How reproducible:
Always

Steps to Reproduce:
1. Move with one window over the edge of the other
2. Watch the bottom window leaving garbage on the top window
3. Profit

Actual results:
Bottom windows leave marks on top windows

Expected results:
No window leaves marks on any other window

Additional notes:
(Never mind that window maker screenshot doesn't show window titles.  That's
deliberate and isn't material to the bug.)

Comment 1 Petr Machata 2008-06-22 23:16:51 UTC
Created attachment 310005 [details]
Window maker screen shot.

Comment 2 Petr Machata 2008-06-22 23:17:44 UTC
Created attachment 310006 [details]
Metacity screen shot.

Comment 3 Matěj Cepl 2008-06-23 16:11:05 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 4 Petr Machata 2008-06-23 18:19:02 UTC
Created attachment 310052 [details]
xorg.conf from my home station

Comment 5 Petr Machata 2008-06-23 18:20:58 UTC
Created attachment 310053 [details]
Xorg.0.log from my home station

Comment 6 Petr Machata 2008-06-23 18:23:10 UTC
Created attachment 310054 [details]
xorg.conf from my work station

Comment 7 Petr Machata 2008-06-23 18:24:16 UTC
Created attachment 310055 [details]
Xorg.0.log from my work station

Comment 8 Petr Machata 2008-06-23 18:30:12 UTC
Created attachment 310057 [details]
Xorg.0.log from my home station with xorg.conf-less X

(I verified that with no xorg.conf, the bug is still present.)

Comment 9 Matěj Cepl 2008-06-23 20:18:00 UTC
That's weird -- I have never seen bug for this. OK, ASSIGNing to developers.

Comment 10 Bug Zapper 2009-06-10 01:43:56 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2009-07-14 17:44:17 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.